Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83621 - openldap-2.0.27-2.7.3.src.rpm build fails on s/390
Summary: openldap-2.0.27-2.7.3.src.rpm build fails on s/390
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap
Version: 7.2
Hardware: s390
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-06 12:58 UTC by Daniel Jarboe
Modified: 2015-01-08 00:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-15 12:30:19 UTC


Attachments (Terms of Use)

Description Daniel Jarboe 2003-02-06 12:58:15 UTC
Description of problem: Rebuild of openldap-2.0.27-2.7.3.src.rpm fails on RH 
7.2 s/390.

Version-Release number of selected component (if applicable):
openldap 2.0.27-2.7.3

How reproducible:
always

Steps to Reproduce:
1. rpm --rebuild openldap-2.0.27-2.7.3.src.rpm
    
Actual results:
+ popd
/usr/src/redhat/BUILD/openldap-2.0.27
+ CPPFLAGS=
+ export CPPFLAGS
+ LDFLAGS=
+ export LDFLAGS
+ pushd build-gdbm
/usr/src/redhat/BUILD/openldap-2.0.27/build-gdbm /usr/src/redhat/BUILD/openldap-
2.0.27
+ build --enable-ldbm --with-ldbm-api=gdbm --disable-shared --without-kerberos
+ cat
++ find . -name config.guess
+ sed -e 's,--host=[^ ]*,,g' -e 's,--build=[^ ]*,,g' -e 's,--target=[^ ]*,,g' -
e 's,--target=${TARGET_PLATFORM},,g'
++ find . -name config.sub
++ basename
basename: too few arguments
Try `basename --help' for more information.
++ basename
basename: too few arguments
Try `basename --help' for more information.
++ find . -name configure.in
++ dirname
dirname: too few arguments
Try `dirname --help' for more information.
++ dirname
dirname: too few arguments
Try `dirname --help' for more information.
+ sh -x ./run-build --target=s390-redhat-linux
+ CFLAGS= -O2 -D_REENTRANT -fPIC
+ export CFLAGS
+ CXXFLAGS=-O2
+ export CXXFLAGS
+ FFLAGS=-O2
+ export FFLAGS
./run-build: line 6: syntax error near unexpected token `;'
./run-build: line 6: `      for i in   ; do '
error: Bad exit status from /var/tmp/rpm-tmp.74798 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.74798 (%build)


Expected results:
s390 rpm written

Comment 1 Florian La Roche 2003-02-15 12:30:19 UTC
Must be some setup problem on your machine, seems to work fine here. At least
with the current sources.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.